.page[name='races'] > .header {
    position: absolute;
    top: 0;
    z-index: 1;
    height: 64px;
}
.page[name='races'] > .header > .side > .button {
    padding: 20px;
}
.page[name='races'] > .header > .side > .button > img {
    display: block;
    width: 24px;
    height: 24px;
}
.page[name='races'] > .header > .side:last-child > .button:not(.active) > .new {
    display: none;
}
.page[name='races'] > .header > .side:last-child > .button > .new {
    position: absolute;
    width: 7px;
    height: 7px;
    top: 6px;
    border-radius: 50%;
}
.page[name='races'] > .header > .side:last-child > .button:not(.active) > .new {
    display: none;
}
.page[name='races'] > .header > .center {
    display: table;
    width: calc(100% - 192px);
    height: 64px;
    text-align: center;
}
.page[name='races'] > .header > .center > div {
    display: table-cell;
    font-size: 18px;
    font-weight: 600;
    vertical-align: middle;
}
.page[name='races'] > .content {
    position: absolute;
    top: 64px;
    bottom: 0;
    overflow-y: auto;
}
.page[name='races'] > .content > .tableWrapper > .fTable > .content > table {
    border-collapse: collapse;
    width: 100%;
}
.page[name='races'] > .content > .tableWrapper > .fTable > .content > table > tbody > tr > td:not([colspan]) {
    overflow: hidden;
    padding: 10px;
}
.page[name='races'] > .content > .tableWrapper > .fTable > .content > table > tbody > tr > td:not([colspan]):first-child {
    padding-left: 20px;
}
.page[name='races'] > .content > .tableWrapper > .fTable > .content > table > tbody > tr > td:not([colspan]):last-child {
    padding-right: 20px;
}
.page[name='races'] > .content > .tableWrapper > .fTable > .content > table > tbody > tr > td[colspan] {
    padding: 12px 20px;
}
.page[name='races'] > .content > .tableWrapper > .fTable > .content > table > tbody > tr > td > .button {
    border-radius: 8px;
    display: inline-block;
    padding: 4px 8px;
    vertical-align: middle;
    margin-right: 4px;
    margin-bottom: 4px;
}
.page[name='races'] > .button[key='add'] {
    position: absolute;
    bottom: 20px;
    cursor: pointer;
    width: 50px;
    height: 50px;
    border-radius: 50%;
}
.page[name='races'] > .button[key='add'] > img {
    position: absolute;
    top: calc(50% - 12.5px);
    left: calc(50% - 12.5px);
}

#panel[ids='createRace'],
#panel[ids='startRace'] {
    top: 0;
    margin-right: auto;
    margin-left: auto;
    padding: 0;
    border-radius: 20px;
    max-width: 650px;
}
#panel[ids='createRace'] {
    max-width: 650px;
}
#panel[ids='startRace'] {
    max-width: 500px;
}
#panel[ids='createRace'] > .content > .information,
#panel[ids='startRace'] > .content > .information {
    padding-top: 32px;
    padding-bottom: 20px;
    margin-bottom: 20px;
    text-align: center;
    overflow: hidden;
}
#panel[ids='createRace'] > .content > .information > .title,
#panel[ids='startRace'] > .content > .information > .title {
    font-size: 18px;
    font-weight: 600;
}
#panel[ids='createRace'] > .content > .information > .title {
    margin-bottom: 20px;
}
#panel[ids='startRace'] > .content > .information > .title {
    margin-bottom: 8px;
}
#panel[ids='startRace'] > .content > .information > .items > div {
    font-weight: 500;
    display: inline-block;
    vertical-align: middle;
}
#panel[ids='createRace'] > .content > .information > .formWrapper {
    width: calc(100% - 190px);
}
#panel[ids='createRace'] > .content > .information > .formWrapper > .fForm > .fields > .field {
    display: inline-block;
    vertical-align: middle;
    width: calc(50% - 12px);
}
#panel[ids='createRace'] > .content > .information > .formWrapper > .fForm > .fields > .field > .inputWrapper > input,
#panel[ids='createRace'] > .content > .information > .formWrapper > .fForm > .fields > .field > select {
    border-radius: 8px;
    padding: 6px;
    width: 100%;
    font-weight: 600;
    text-align: center;
}
#panel[ids='createRace'] > .content > .information > .formWrapper > .fForm > .fields > .field > select {
    -webkit-appearance: none;
    border: none;
}
#panel[ids='createRace'] > .content > .information > .driversCount {
    font-weight: 500;
    margin-top: 8px;
}
#panel[ids='createRace'] > .content > .fields,
#panel[ids='startRace'] > .content > .fields {
    margin-right: 32px;
    margin-bottom: 20px;
    margin-left: 32px;
}
#panel[ids='createRace'] > .content > .fields > div,
#panel[ids='startRace'] > .content > .fields > div {
    display: inline-block;
    vertical-align: middle;
    font-weight: 600;
}
#panel[ids='createRace'] > .content > .fields > div:first-child,
#panel[ids='startRace'] > .content > .fields > div:first-child {
    width: calc(23% - 2px);
}
#panel[ids='createRace'] > .content > .fields > .vehicle,
#panel[ids='startRace'] > .content > .fields > .vehicle {
    width: calc(27% - 2px);
}
#panel[ids='createRace'] > .content > .fields > div:last-child,
#panel[ids='startRace'] > .content > .fields > div:last-child {
    width: calc(50% - 4px);
}
#panel[ids='createRace'] > .content > .cockpits,
#panel[ids='startRace'] > .content > .cockpits {
    margin-bottom: 24px;
    height: 322px;
}
#panel[ids='createRace'] > .content > .cockpits > .formWrapper {
    padding: 6px 32px;
}
#panel[ids='startRace'] > .content > .cockpits > .formWrapper {
    padding: 18px 32px;
}
#panel[ids='createRace'] > .content > .cockpits > .formWrapper:not(:last-child),
#panel[ids='startRace'] > .content > .cockpits > .formWrapper:not(:last-child) {
    margin-bottom: 8px;
}
#panel[ids='createRace'] > .content > .cockpits > .formWrapper > .fForm > .fields > .field,
#panel[ids='startRace'] > .content > .cockpits > .formWrapper > .fForm > .fields > .field {
    display: inline-block;
    vertical-align: middle;
}
#panel[ids='createRace'] > .content > .cockpits > .formWrapper > .fForm > .fields > .field[key='order'] > .text,
#panel[ids='startRace'] > .content > .cockpits > .formWrapper > .fForm > .fields > .field[key='order'] > .text {
    font-weight: 500;
}
#panel[ids='createRace'] > .content > .cockpits > .formWrapper > .fForm > .fields > .field:first-child,
#panel[ids='startRace'] > .content > .cockpits > .formWrapper > .fForm > .fields > .field:first-child {
    width: 23%;
}
#panel[ids='createRace'] > .content > .cockpits > .formWrapper > .fForm > .fields > .field[key='carKey'],
#panel[ids='startRace'] > .content > .cockpits > .formWrapper > .fForm > .fields > .field[key='carKey'] {
    width: 27%;
}
#panel[ids='createRace'] > .content > .cockpits > .formWrapper > .fForm > .fields > .field[key='carKey'] > img,
#panel[ids='startRace'] > .content > .cockpits > .formWrapper > .fForm > .fields > .field[key='carKey'] > img {
    vertical-align: middle;
}
#panel[ids='createRace'] > .content > .cockpits > .formWrapper > .fForm > .fields > .field[key='carKey'] > .text,
#panel[ids='createRace'] > .content > .cockpits > .formWrapper > .fForm > .fields > .field[key='startRace'] > .text,
#panel[ids='startRace'] > .content > .cockpits > .formWrapper > .fForm > .fields > .field[key='carKey'] > .text,
#panel[ids='startRace'] > .content > .cockpits > .formWrapper > .fForm > .fields > .field[key='startRace'] > .text {
    display: inline-block;
    vertical-align: middle;
    font-weight: 700;
}
#panel[ids='createRace'] > .content > .cockpits > .formWrapper > .fForm > .fields > .field[key='requestItemKey'] {
    padding: 8px;
    border-radius: 8px;
    width: 50%;
}
#panel[ids='startRace'] > .content > .cockpits > .formWrapper > .fForm > .fields > .field[key='requestItemKey'] > .driver {
    font-weight: 700;
    width: 200px;
    white-space: nowrap;
    text-overflow: ellipsis;
    overflow: hidden;
}
#panel[ids='createRace'] > .content > .cockpits > .formWrapper > .fForm > .fields > .field[key='requestItemKey'] > .wrapper {
    margin-top: 3px;
    margin-bottom: 3px;
    width: calc(100% - 38px);
}
#panel[ids='createRace'] > .content > .cockpits > .formWrapper > .fForm > .fields > .field[key='requestItemKey'] > .wrapper > .buttons {
    display: inline-block;
    vertical-align: middle;
}
#panel[ids='createRace'] > .content > .cockpits > .formWrapper > .fForm > .fields > .field[key='requestItemKey'] > .wrapper > .buttons > .button {
    display: inline-block;
    vertical-align: middle;
    padding: 5px;
}
#panel[ids='createRace'] > .content > .cockpits > .formWrapper > .fForm > .fields > .field[key='requestItemKey'] > .wrapper > .buttons > .button > img {
    width: 14px;
    height: 14px;
    display: block;
}
#panel[ids='createRace'] > .content > .cockpits > .formWrapper > .fForm > .fields > .field[key='requestItemKey'] > .wrapper > .buttons > .button[key='up'] > img {
    transform: rotate(180deg);
}
#panel[ids='createRace'] > .content > .cockpits > .formWrapper > .fForm > .fields > .field[key='requestItemKey'] > .wrapper > .driver {
    display: inline-block;
    vertical-align: middle;
    font-weight: 500;
    width: 174px;
    white-space: nowrap;
    text-overflow: ellipsis;
    overflow: hidden;
}
#panel[ids='createRace'] > .content > .cockpits > .formWrapper > .fForm > .fields > .field[key='requestItemKey']:not([data]) > .wrapper > .driver {
    opacity: 0.3;
}
#panel[ids='createRace'] > .content > .cockpits > .formWrapper > .fForm > .fields > .field[key='requestItemKey'] > .button {
    padding: 5px;
}
#panel[ids='createRace'] > .content > .cockpits > .formWrapper > .fForm > .fields > .field[key='requestItemKey'] > .button > img {
    width: 20px;
    height: 20px;
    display: block;
}
#panel[ids='createRace'] > .content > .buttons,
#panel[ids='startRace'] > .content > .buttons {
    margin-right: 32px;
    margin-left: 32px;
}
#panel[ids='createRace'] > .content > .buttons > .button,
#panel[ids='startRace'] > .content > .buttons > .button {
    padding: 12px 32px;
    border-radius: 8px;
    font-size: 16px;
    font-weight: 600;
    display: inline-block;
    vertical-align: middle;
    text-align: center;
}
#panel[ids='createRace'] > .content > .buttons > .button[key='create'],
#panel[ids='startRace'] > .content > .buttons > .button[key='start'] {
    width: calc(100% - 137px);
}